#include <QGuiApplication>
#include <QTimer>
#include <QQuickItem>
#include <QQuickWindow>
#include <QOpenGLContext>
#include <QQmlComponent>
#include <QQmlEngine>

int main(int argc, char **argv)
{
    QGuiApplication app(argc, argv);

    QQmlEngine *engine = new QQmlEngine(&app);
    QQmlComponent *component = new QQmlComponent(engine, engine);
    component->loadUrl(QUrl::fromLocalFile("39336.qml"));

    QQuickItem *item = qobject_cast< QQuickItem* >(component->create());
    if (!item) {
        return 0;
    }

    QQuickWindow *view = new QQuickWindow();
    view->setColor(Qt::transparent);
    item->setParentItem(view->contentItem());
    view->show();
    QObject::connect(view, &QQuickWindow::frameSwapped, view, []() {
        if (QOpenGLContext *c = QOpenGLContext::currentContext()) {
            c->doneCurrent();
        }
    }, Qt::QueuedConnection);

    QTimer timer;
    timer.setInterval(2000);
    timer.setSingleShot(true);
    QObject::connect(&timer, &QTimer::timeout, [view, item]() {
        delete item;
    });

    timer.start();
    return app.exec();
}
